<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <RootNamespace>PSCHelpdesk.Plugins.HetznerServer</RootNamespace>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
      <DebugType>portable</DebugType>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Shared\Shared.csproj" Private="false" />
    </ItemGroup>

    <ItemGroup>
      <Reference Include="Avalonia.Controls"  Private="false">
        <HintPath>..\..\..\.nuget\packages\avalonia\11.2.0\ref\net8.0\Avalonia.Controls.dll</HintPath>
      </Reference>
      <Reference Include="Avalonia.Controls.DataGrid"  Private="false">
        <HintPath>..\..\..\.nuget\packages\avalonia.controls.datagrid\11.2.0\lib\net8.0\Avalonia.Controls.DataGrid.dll</HintPath>
      </Reference>
      <Reference Include="CommunityToolkit.Mvvm"  Private="false">
        <HintPath>..\..\..\.nuget\packages\communitytoolkit.mvvm\8.2.1\lib\net6.0\CommunityToolkit.Mvvm.dll</HintPath>
      </Reference>
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Avalonia" Version="11.2.0"  Private="false" />
      <PackageReference Include="Avalonia.ReactiveUI" Version="11.2.0"  Private="false" />
      <PackageReference Include="Avalonia.Xaml.Behaviors" Version="11.2.0" Private="false" />
      <PackageReference Include="Avalonia.Xaml.Interactions" Version="11.2.0" Private="false" />
      <PackageReference Include="HetznerCloud.API" Version="1.1.9" Private="false" />
      <PackageReference Include="Microsoft.Extensions.DependencyInjection" Private="false" Version="8.0.1" />
      <PackageReference Include="Prise.Plugin" Version="6.0.0" Private="false" />
      <PackageReference Include="Prise.ReverseProxy" Version="6.1.0" Private="false" />
    </ItemGroup>

</Project>
